killthemoud programı kurulumu sırasında aldığım hata

'Soru & Cevap' forumunda -ıyı- tarafından 7 Ekim 2020 tarihinde açılan konu

  1. -ıyı-

    -ıyı- New Member

    Katılım:
    3 Ekim 2020
    Mesaj:
    16
    Beğeniler:
    1
    Ödül Puanları:
    3
    Cinsiyet:
    Erkek
    herkese selam
    killthemoud adlı programı kurarken bir hata verdi
    ERROR: Requirements have not been properly satisfied. Please try running:
    $ sudo pip install -r requirements.txt


    HATA: Gereksinimler gerektiği gibi yerine getirilmedi. Lütfen koşmayı deneyin:
    $ sudo pip yükleme -r gereksinimleri.txt

    python sürümü güncel 3.9.0
    pip yüklü
    apt-get update
    apt-get upgrade
    programı silip tekrar yükleme yaptım fakat hatanın neden kaynaklandığını bulamadım konuyla alakalı yardımlarınızı bekliyorum
     
  2. KaliBot

    KaliBot Moderator

    Katılım:
    30 Haziran 2015
    Mesaj:
    595
    Beğeniler:
    103
    Ödül Puanları:
    27
    Merhaba çıktıyı tam olarak atarmısınız. İstediği paketlerin bir kısmı muhtemelen kurulamıyordur.
     
    -ıyı- bunu beğendi.
  3. -ıyı-

    -ıyı- New Member

    Katılım:
    3 Ekim 2020
    Mesaj:
    16
    Beğeniler:
    1
    Ödül Puanları:
    3
    Cinsiyet:
    Erkek
    oot @ kali:/ Masaüstü # cd KillThemOut /

    root @ kali:/ Masaüstü / KillThemOut # ls
    CHANGES.rst kickthemout.py LİSANS README.rst gereksinimleri.txt scan.py spoof.py
    root @ kali:/ Masaüstü / KillThemOut # sudo pip install -r requirements.txt
    Gereksinim zaten sağlandı: / usr / lib / python3 / dist-paketlerinde scapy (-r requirements.txt (satır 1)) (2.4.3)
    root @ kali:/ Masaüstü / KillThemOut # ls
    CHANGES.rst kickthemout.py LİSANS README.rst gereksinimleri.txt scan.py spoof.py
    root @ kali: ~ / Masaüstü / KillThemOut # python kickthemout.py
     
  4. -ıyı-

    -ıyı- New Member

    Katılım:
    3 Ekim 2020
    Mesaj:
    16
    Beğeniler:
    1
    Ödül Puanları:
    3
    Cinsiyet:
    Erkek
    root @ kali:/ Masaüstü # cd KillThemOut /
    root @ kali:/ Masaüstü / KillThemOut # ls
    CHANGES.rst kickthemout.py LİSANS README.rst gereksinimleri.txt scan.py spoof.py
    root @ kali:/ Masaüstü / KillThemOut # sudo pip install -r requirements.txt
    Gereksinim zaten sağlandı: / usr / lib / python3 / dist-paketlerinde scapy (-r requirements.txt (satır 1)) (2.4.3)
    root @ kali:/ Masaüstü / KillThemOut # ls
    CHANGES.rst kickthemout.py LİSANS README.rst gereksinimleri.txt scan.py spoof.py
    root @ kali: ~ / Masaüstü / KillThemOut # python kickthemout.py
     
  5. -ıyı-

    -ıyı- New Member

    Katılım:
    3 Ekim 2020
    Mesaj:
    16
    Beğeniler:
    1
    Ödül Puanları:
    3
    Cinsiyet:
    Erkek
    oot @ kali:/ Masaüstü # cd KillThemOut /

    root @ kali:/ Masaüstü / KillThemOut # ls
    CHANGES.rst kickthemout.py LİSANS README.rst gereksinimleri.txt scan.py spoof.py
    root @ kali:/ Masaüstü / KillThemOut # sudo pip install -r requirements.txt
    Gereksinim zaten sağlandı: / usr / lib / python3 / dist-paketlerinde scapy (-r requirements.txt (satır 1)) (2.4.3)
    root @ kali:/ Masaüstü / KillThemOut # ls
    CHANGES.rst kickthemout.py LİSANS README.rst gereksinimleri.txt scan.py spoof.py
    root @ kali: ~ / Masaüstü / KillThemOut # python kickthemout.py
     
    tekroot bunu beğendi.
  6. tekroot

    tekroot Active Member

    Katılım:
    11 Ekim 2016
    Mesaj:
    326
    Beğeniler:
    59
    Ödül Puanları:
    28
    Cinsiyet:
    Erkek
    Meslek:
    bilgisayar elektronik
    Şehir:
    Unknown
    Merba arkadasim oncelikle hos geldin asagidaki kod dogru olan bu sen yanlis giriyorsun

    sudo -H pip3 install -r requirements.txt
     
  7. tekroot

    tekroot Active Member

    Katılım:
    11 Ekim 2016
    Mesaj:
    326
    Beğeniler:
    59
    Ödül Puanları:
    28
    Cinsiyet:
    Erkek
    Meslek:
    bilgisayar elektronik
    Şehir:
    Unknown
    sonra asgidaki gibi eksik olan kurulacak
    sudo -H pip3 install -r requirements.txt
    Collecting scapy
    Downloading scapy-2.4.4.tar.gz (1.0 MB)
    |████████████████████████████████| 1.0 MB 618 kB/s
    Collecting python-nmap
    Downloading python-nmap-0.6.1.tar.gz (41 kB)
    |████████████████████████████████| 41 kB 485 kB/s
    Collecting netifaces
    Downloading netifaces-0.10.9.tar.gz (28 kB)
    Building wheels for collected packages: scapy, python-nmap, netifaces
    Building wheel for scapy (setup.py) ... done
    Created wheel for scapy: filename=scapy-2.4.4-py2.py3-none-any.whl size=1189187 sha256=434ee33d8a3644f367e6dce340330522ef0911e725f92d6f4dc769a1d59799ae
    Stored in directory: /root/.cache/pip/wheels/55/dc/f2/91686c7a482422ab866594a160294c457baebab7ad91fd58db
    Building wheel for python-nmap (setup.py) ... done
    Created wheel for python-nmap: filename=python_nmap-0.6.1-py3-none-any.whl size=19325 sha256=ab5c35555b1dd58da9a1c187c80857e1149b001ee861f888b120b8381823ebbf
    Stored in directory: /root/.cache/pip/wheels/45/3b/ed/deb6c345e2d9ae2c4538467f4df5bc317f4b0e8d38c3882e85
    Building wheel for netifaces (setup.py) ... done
    Created wheel for netifaces: filename=netifaces-0.10.9-cp38-cp38-linux_x86_64.whl size=41558 sha256=0060b02e82c4739cc893c5c31c8fab9d6aac3941c4a3cccbd7975b81f7f121ce
    Stored in directory: /root/.cache/pip/wheels/9b/51/d5/d4682860392414da28ba3c5ffac0243983399b868a9cced6df
    Successfully built scapy python-nmap netifaces
    Installing collected packages: scapy, python-nmap, netifaces
    Successfully installed netifaces-0.10.9 python-nmap-0.6.1 scapy-2.4.4
     
  8. tekroot

    tekroot Active Member

    Katılım:
    11 Ekim 2016
    Mesaj:
    326
    Beğeniler:
    59
    Ödül Puanları:
    28
    Cinsiyet:
    Erkek
    Meslek:
    bilgisayar elektronik
    Şehir:
    Unknown
    sonrada bu kod gir olucak kolay gelsin

    sudo python3 kickthemout.py
     
  9. -ıyı-

    -ıyı- New Member

    Katılım:
    3 Ekim 2020
    Mesaj:
    16
    Beğeniler:
    1
    Ödül Puanları:
    3
    Cinsiyet:
    Erkek
    root@kali:~# cd Masaüstü
    root@kali:~/Masaüstü# ls
    cupp NetZapper Python-3.9.0.tar.xz vpnbook-ca222-udp25000.ovpn VPNBook.com-OpenVPN-CA222 'vpnbook kullanıcı adı şifre'
    KillThemOut Python-3.9.0 vpnbook-ca222-tcp80.ovpn vpnbook-ca222-udp53.ovpn VPNBook.com-OpenVPN-CA222.zip
    root@kali:~/Masaüstü# cd KillThemOut/
    root@kali:~/Masaüstü/KillThemOut# ls
    CHANGES.rst kickthemout.py LICENSE README.rst requirements.txt scan.py spoof.py
    root@kali:~/Masaüstü/KillThemOut# sudo -H pip3 install -r requirements.txt
    WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
    WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/scapy/
    WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/scapy/
    WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/scapy/
    WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/scapy/
    WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/scapy/
    Could not fetch URL https://pypi.org/simple/scapy/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/scapy/ (Caused by SSLError("Can't connect to HTTPS URL because the SSL module is not available.")) - skipping
    ERROR: Could not find a version that satisfies the requirement scapy (from -r requirements.txt (line 1)) (from versions: none)
    ERROR: No matching distribution found for scapy (from -r requirements.txt (line 1))
    WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
    Could not fetch URL https://pypi.org/simple/pip/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/pip/ (Caused by SSLError("Can't connect to HTTPS URL because the SSL module is not available.")) - skipping
    root@kali:~/Masaüstü/KillThemOut#
     
  10. tekroot

    tekroot Active Member

    Katılım:
    11 Ekim 2016
    Mesaj:
    326
    Beğeniler:
    59
    Ödül Puanları:
    28
    Cinsiyet:
    Erkek
    Meslek:
    bilgisayar elektronik
    Şehir:
    Unknown
    vpn niye aciyosun :) sen senin aginda bulunanlari disari aticagin bi uygulama bu vpn dekileri naapcan kapat onu
     
  11. -ıyı-

    -ıyı- New Member

    Katılım:
    3 Ekim 2020
    Mesaj:
    16
    Beğeniler:
    1
    Ödül Puanları:
    3
    Cinsiyet:
    Erkek

    HATA: Scapy gereksinimini karşılayan bir sürüm bulunamadı (-r gereksinimleri.txt'den (satır 1)) (sürümlerden: yok)
    HATA: Scapy için eşleşen dağıtım bulunamadı (-r gereksinimleri.txt'den (satır 1))
    Scapy modülü sürümünü güncellemek gerekli apt-get install python-scapy komutunu yazınca

    root@kali:~# apt-get install python-scapy
    Paket listeleri okunuyor... Bitti
    Bağımlılık ağacı oluşturuluyor
    Durum bilgisi okunuyor... Bitti
    python-scapy paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
    Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
    yazılım kaynağında bulunduğu anlamına gelebilir.
    Yine de aşağıdaki paketler onun yerine geçecek:
    python3-scapy

    E: 'python-scapy' paketi için kurulum adayı yok
    root@kali:~# apt-get install scapy
    Paket listeleri okunuyor... Bitti
    Bağımlılık ağacı oluşturuluyor
    Durum bilgisi okunuyor... Bitti
    Not, 'scapy' yerine 'python3-scapy' seçiliyor
    python3-scapy zaten en yeni sürümde (2.4.3-4).
    Aşağıdaki paketler otomatik olarak kurulmuş ve artık bu paketlere gerek duyulmuyor:
    bluez-firmware firmware-atheros firmware-brcm80211 firmware-intel-sound
    firmware-iwlwifi firmware-libertas firmware-realtek
    firmware-ti-connectivity firmware-zd1211 libglib2.0-bin libjsoncpp1
    libmpdec2 libprotobuf22 openjdk-8-jre python3-flask-restless
    python3-mimeparse python3-mimerender snmp testdisk tftp
    Bu paketleri kaldırmak için 'apt autoremove' komutunu kullanın.
    0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 95 paket yükseltilmeyecek.
     
  12. -ıyı-

    -ıyı- New Member

    Katılım:
    3 Ekim 2020
    Mesaj:
    16
    Beğeniler:
    1
    Ödül Puanları:
    3
    Cinsiyet:
    Erkek
    Masaüstünde ls yazınca
    Masaüstündeki dosyaları listeliyor vpn açık değil
     
  13. tekroot

    tekroot Active Member

    Katılım:
    11 Ekim 2016
    Mesaj:
    326
    Beğeniler:
    59
    Ödül Puanları:
    28
    Cinsiyet:
    Erkek
    Meslek:
    bilgisayar elektronik
    Şehir:
    Unknown
    tamam oldugunda yaz konu kapanir dostum
     
  14. tekroot

    tekroot Active Member

    Katılım:
    11 Ekim 2016
    Mesaj:
    326
    Beğeniler:
    59
    Ödül Puanları:
    28
    Cinsiyet:
    Erkek
    Meslek:
    bilgisayar elektronik
    Şehir:
    Unknown
    sen masa ustunu sil terminal ac asagid akileri aynen yap sora sini gorelim ok

    ~ ❯❯❯ sudo apt-get update && sudo apt-get install nmap

    ~ ❯❯❯ git clone https://github.com/k4m4/kickthemout.git

    ~ ❯❯❯ cd kickthemout/

    ~/kickthemout ❯❯❯ sudo -H pip3 install -r requirements.txt

    ~/kickthemout ❯❯❯ sudo python3 kickthemout.py
     
  15. -ıyı-

    -ıyı- New Member

    Katılım:
    3 Ekim 2020
    Mesaj:
    16
    Beğeniler:
    1
    Ödül Puanları:
    3
    Cinsiyet:
    Erkek
     
  16. -ıyı-

    -ıyı- New Member

    Katılım:
    3 Ekim 2020
    Mesaj:
    16
    Beğeniler:
    1
    Ödül Puanları:
    3
    Cinsiyet:
    Erkek
    root@kali:~/Downloads/kickthemout# sudo -H pip3 install -r requirements.txt
    WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
    WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/scapy/
    WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/scapy/
    WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/scapy/
    WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/scapy/
    WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/scapy/
    Could not fetch URL https://pypi.org/simple/scapy/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/scapy/ (Caused by SSLError("Can't connect to HTTPS URL because the SSL module is not available.")) - skipping
    ERROR: Could not find a version that satisfies the requirement scapy (from -r requirements.txt (line 1)) (from versions: none)
    ERROR: No matching distribution found for scapy (from -r requirements.txt (line 1))
    WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
    Could not fetch URL https://pypi.org/simple/pip/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/pip/ (Caused by SSLError("Can't connect to HTTPS URL because the SSL module is not available.")) - skipping
     
  17. -ıyı-

    -ıyı- New Member

    Katılım:
    3 Ekim 2020
    Mesaj:
    16
    Beğeniler:
    1
    Ödül Puanları:
    3
    Cinsiyet:
    Erkek
    SSL MODÜLÜ KULLANILAMAZ HATASI VERİYOR YOUTUBE DEN BİR VİDEO BULDUM MUHTEMELEN SORUNU ÇÖZECEK SONUCU BURADAN YAZARIM
     
  18. -ıyı-

    -ıyı- New Member

    Katılım:
    3 Ekim 2020
    Mesaj:
    16
    Beğeniler:
    1
    Ödül Puanları:
    3
    Cinsiyet:
    Erkek
    Commands :
    Step by step guide to install Python (Latest Version) and pip3 in Kali Linux :
    1. Install the necessary packages for Python and ssl:
    $ sudo apt update $ sudo apt-get install libreadline-gplv2-dev libncursesw5-dev libssl-dev libsqlite3-dev tk-dev libgdbm-dev libc6-dev libbz2-dev
    2. Download and unzip "Python-3.8.0.tar.xz" from https://www.python.org/ftp/python/ into your home directory.
    3. Open terminal in that directory and run:
    $ ./configure
    4. Build and install:
    $ sudo make && sudo make install
    6. Install packages with: $ sudo pip3 install package_name For Example :
    sudo pip3 install protonvpn-cli

    YUKARIDA LİNKİNİ VERDİĞİM VİDEO DAKİ İŞLEMLERİ YAPTIM PROGRAM ŞUAN SAĞLIKLI BİR ŞEKİLDE ÇALIŞIYOR HATANIN DETAYI SSL GÜVENLİK MODÜLÜ BULUNAMADIĞI İÇİN PROGRAM KURULAMIYORDU
    İLGİLENİP ALAKADAR OLAN HERKESE TEŞEKKÜR EDERİM
     
  19. tekroot

    tekroot Active Member

    Katılım:
    11 Ekim 2016
    Mesaj:
    326
    Beğeniler:
    59
    Ödül Puanları:
    28
    Cinsiyet:
    Erkek
    Meslek:
    bilgisayar elektronik
    Şehir:
    Unknown
    orda enson install guncellemesi var onuda yaptinmi
    pip install --upgrade pip
     
    -ıyı- bunu beğendi.
  20. -ıyı-

    -ıyı- New Member

    Katılım:
    3 Ekim 2020
    Mesaj:
    16
    Beğeniler:
    1
    Ödül Puanları:
    3
    Cinsiyet:
    Erkek
    Evet sorunun ana kaynağı pip di
     

Bu Sayfayı Paylaş